#ifndef WOLAN_H
#define WOLAN_H

#include <QWidget>
#include <QTcpSocket>
#include <QUdpSocket>
#include "clshostlist.h"

namespace Ui {
    class WoLAN;
}

class WoLAN : public QWidget
{
    Q_OBJECT

public:
    explicit WoLAN(QWidget *parent = 0);
    ~WoLAN();

private:
    Ui::WoLAN *ui;
    QTimer *timer;
    int iNbrSeconds;
    QTcpSocket tcpClient;
    QUdpSocket udpSocket;
    clsHostList  tgList;
    int iCurrentTarget;
    bool    bEditMode;
    bool    bAddMode;
    void setButtons(bool bEnabled);

    void DisplayTarget(int iTg);
    void SetInterfaceMode(bool bEdit);
    /*
public slots:
    void startTransfer();
    void displayError(QAbstractSocket::SocketError socketError);
    void readReply();
*/

private slots:
    void on_butNext_clicked();
    void on_butPrev_clicked();
    void on_butDel_clicked();
    void on_butEdit_clicked();
    void on_butAdd_clicked();
    void on_pushButton_clicked();
    void checkConnection();

};

#endif // WOLAN_H
